<?php

/**
 * @version 1
 * @package thumbsup
 * @copyright Copyright (C) 2014 Joomina.ir LTD, All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author url: http://Joomina.ir
 * @author email admin@Joomina.ir
 * @developer Amirrezatehrani - admin@joomina.ir - 09123025356
 *
 * thumbsup is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with thumbsup. If not, see <http://www.gnu.org/licenses/>.
 *
 */

// no direct access
defined('_JEXEC') || die('=;)');


jimport('joomla.plugin.plugin');

/**
 * Content Plugin.
 *
 * @package    tumbsup
 * @subpackage Plugin
 */
class plgContentthumbsup extends JPlugin
{
    /**
     * Example after delete method.
     *
     * @param  string  $context  The context for the content passed to the plugin.
     * @param  object  $data     The data relating to the content that was deleted.
     *
     * @return boolean
     */
    public function onContentAfterDelete($context, $data)
    {
        return true;
    }//function

    /**
     * Example after display content method
     *
     * Method is called by the view and the results are imploded and displayed in a placeholder
     *
     * @param  string  $context     The context for the content passed to the plugin.
     * @param  object  &$article    The content object.  Note $article->text is also available
     * @param  object  &$params     The content params
     * @param  int     $limitstart  The 'page' number
     *
     * @return string
     */
    public function onContentAfterDisplay($context, &$article, &$params, $limitstart)
    {
        return '';
    }//function

    /**
     * Example after save content method
     * Article is passed by reference, but after the save, so no changes will be saved.
     * Method is called right after the content is saved
     *
     * @param  string  $context   The context of the content passed to the plugin (added in 1.6)
     * @param  object  &$article  A JTableContent object
     * @param  bool    $isNew     If the content is just about to be created
     *
     * @return boolean
     */
    public function onContentAfterSave($context, &$article, $isNew)
    {
        return true;
    }//function

    /**
     * Example after display title method
     *
     * Method is called by the view and the results are imploded and displayed in a placeholder
     *
     * @param  string  $context     The context for the content passed to the plugin.
     * @param  object  &$article    The content object.  Note $article->text is also available
     * @param  object  &$params     The content params
     * @param  int     $limitstart  The 'page' number
     *
     * @return  string
     */
    public function onContentAfterTitle($context, &$article, &$params, $limitstart)
    {
        return '';
    }//function

    /**
     * Example before delete method.
     *
     * @param  string  $context  The context for the content passed to the plugin.
     * @param  object  $data     The data relating to the content that is to be deleted.
     *
     * @return  boolean
     */
    public function onContentBeforeDelete($context, $data)
    {
        return true;
    }//function

    /**
     * Example before display content method
     *
     * Method is called by the view and the results are imploded and displayed in a placeholder
     *
     * @param  string  $context     The context for the content passed to the plugin.
     * @param  object  &$article    The content object.  Note $article->text is also available
     * @param  object  &$params     The content params
     * @param  int     $limitstart  The 'page' number
     *
     * @return string
     */
    public function onContentBeforeDisplay($context, &$article, &$params, $limitstart)
		{
		
	$hight = $this->params->get('hight');
	$width = $this->params->get('width');
	$stingcut  = $this->params->get('stingcut');
	$imgfloat = $this->params->get('imgfloat');
	$mar=$this->params->get('mar');
	$imagemargin = 0 . ' '.$mar.' '.$mar.' '.$mar;
	$pad=$this->params->get('pad');
	$imageback = $this->params->get('imageback');
	$imagebordercolor = $this->params->get('imagebordercolor');


	//_parent>
	require_once("image.class.php");
	 $texthtml = $article->introtext;
			preg_match('/<img.+src=[\'"](?P<src>.+)[\'"].*>/i', $texthtml, $image);
			$imagepos = strrpos($image[1], '/');
			$preimage = substr($image[1], $imagepos+1);
			$seimage = explode('"' , $preimage);
			//important filename
			$imagefile = $seimage[0];
			$imagesource = explode('"' , $image[1]);
			$id= $article->id;
			
	$img = new image;
	$img->source($imagesource[0]);
	// validade
	$img->validate_extension();
	$img->validate_dimension(4000,4000);
	$img->validate_size(2000);
	// get errors
	$erros = $img->error();
	if(count($erros) == 0) {
		//$img->resize(100,NULL);
		//$img->watermark("watermark.gif",60,"bottom","right");
		$img->resize($width,$hight);
		

$filename = "cache/".$id.$hight.$width.$imagefile;

if (file_exists($filename)) {
   
} else {
	$img->create("cache/".$id.$hight.$width.$imagefile);
	}
	
}else {
	var_dump($erros);
	}
//image is finished
	
	$textwithnoimage =preg_replace("/<img[^>]+\>/i", "", $texthtml); 
	
	 $url = JRoute::_('index.php?option=com_content&view=article&id='.$article->id.'&catid='. $article->catid);
	$introtexttumbs='<div class="joominacountainer">
        	<div class="joominaimage">';
			
			          	  $introtexttumbs .=  '<img title="'.$article->title.'"  src="cache/'.$id.$hight.$width.$imagefile.'" width="'.$width.'" height="'. $hight.'" alt="'.$article->title .'"/> ';

			
          $introtexttumbs .= '</div>
            <div class="joominaintro">
             '.mb_substr($textwithnoimage , 0 , $stingcut) . ' ...'.'
            </div>
            
        
        </div>';

    ?>
    <style>
     .joominaimage img {
		 float:<?php echo $imgfloat?>;
		 margin:<?php echo  $imagemargin ?>;
		 padding:<?php echo  $pad ?>;
		 border:<?php echo $imagebordercolor ?> 1px solid;
		 background-color:<?php echo $imageback ?>;
   
		 }
	.joominaintro {
		text-align:justify}
    </style>
    <?php
	$article->introtext = $introtexttumbs;
	
        return ;
    }//function

    /**
     * Example before save content method
     *
     * Method is called right before content is saved into the database.
     * Article object is passed by reference, so any changes will be saved!
     * NOTE:  Returning false will abort the save with an error.
     * You can set the error by calling $article->setError($message)
     *
     * @param  string  $context   The context of the content passed to the plugin.
     * @param  object  &$article  A JTableContent object
     * @param  bool    $isNew     If the content is just about to be created
     *
     * @return  boolean  If false, abort the save
     */
    public function onContentBeforeSave($context, &$article, $isNew)
    {
        return true;
    }//function

    /**
     * Example after delete method.
     *
     * @param  string  $context  The context for the content passed to the plugin.
     * @param  array   $pks      A list of primary key ids of the content that has changed state.
     * @param  int     $value    The value of the state that the content has been changed to.
     *
     * @return  boolean
     */
    public function onContentChangeState($context, $pks, $value)
    {
        return true;
    }//function

    /**
     * Example prepare content method
     *
     * Method is called by the view
     *
     * @param  string  $context     The context of the content being passed to the plugin.
     * @param  object  &$article    The content object.  Note $article->text is also available
     * @param  object  &$params     The content params
     * @param  int     $limitstart  The 'page' number
     */
    public function onContentPrepare($context, &$article, &$params, $limitstart)
    {
    }//function
}//class
